com.independentsoft.exchange

## Enum IdFormat

- java.lang.Object
- - java.lang.Enum<IdFormat>
  - - com.independentsoft.exchange.IdFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IdFormat>

      public enum IdFormat
      extends java.lang.Enum<IdFormat>

  Specifies the source format of the Id to be converted or the format of the Id after conversion.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTRY_ID` Describes MAPI identifiers, as in the PR_ENTRYID property.
    `EWS_ID` Describes identifiers that are produced by Exchange Web Services starting with Exchange 2007 SP1.
    `EWS_LEGACY_ID` Describes identifiers that are produced by Exchange Web Services in the initial release version of Exchange 2007.
    `HEX_ENTRY_ID` Describes a hexadecimal-encoded representation of the PR_ENTRYID property.
    `OWA_ID` Describes Exchange store identifiers.
    `STORE_ID` Describes Exchange store identifiers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IdFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IdFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EWS_LEGACY_ID

          public static final IdFormat EWS_LEGACY_ID

      Describes identifiers that are produced by Exchange Web Services in the initial release version of Exchange 2007.

    - #### EWS_ID

          public static final IdFormat EWS_ID

      Describes identifiers that are produced by Exchange Web Services starting with Exchange 2007 SP1.

    - #### ENTRY_ID

          public static final IdFormat ENTRY_ID

      Describes MAPI identifiers, as in the PR_ENTRYID property.

    - #### HEX_ENTRY_ID

          public static final IdFormat HEX_ENTRY_ID

      Describes a hexadecimal-encoded representation of the PR_ENTRYID property. This is the format of availability calendar event identifiers.

    - #### STORE_ID

          public static final IdFormat STORE_ID

      Describes Exchange store identifiers.

    - #### OWA_ID

          public static final IdFormat OWA_ID

      Describes Exchange store identifiers.

  - ### Method Detail

    - #### values

          public static IdFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdFormat c : IdFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null